use crate::http_client::HttpClient;
use crate::url;

pub async fn get_request(actor: String) -> String {
    let base_url = url(&"record_list");
    let col = "app.bsky.feed.post".to_string();
    let url = format!("{}?repo={}&collection={}", base_url, actor, col);
    let client = HttpClient::new();

    match client.get_with_auth(&url).await {
        Ok(response) => response,
        Err(e) => format!("Error: {}", e),
    }
}
